Bug 1820614 - zezere-ignition copies the ssh keys to '.ssh/authorized_keys.d/ignition'
Summary: zezere-ignition copies the ssh keys to '.ssh/authorized_keys.d/ignition'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zezere
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F32FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2020-04-03 13:07 UTC by Paul Whalen
Modified: 2020-04-13 21:28 UTC (History)
3 users (show)

Fixed In Version: zezere-0.4-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-13 21:28:52 UTC
Type: Bug


Attachments (Terms of Use)
journalctl -u zezere_ignition (139.77 KB, text/plain)
2020-04-07 14:39 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2020-04-03 13:07:14 UTC
Description of problem:
Currently zezere-ignition copies the ssh keys to '.ssh/authorized_keys.d/ignition' rather than '.ssh/authorized_keys'. As a result they ssh keys don't work for login. 


Version-Release number of selected component (if applicable):
zezere-0.3-2.fc32

Comment 1 Fedora Update System 2020-04-07 09:21:48 UTC
FEDORA-2020-3abcc8bb29 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3abcc8bb29

Comment 2 Paul Whalen 2020-04-07 14:29:01 UTC
Testing the latest iot compose '32.20200407.0' with zezere-ignition-0.4-1.fc32, the ssh keys are still copied to '.ssh/authorized_keys.d/ignition'

Comment 3 Peter Robinson 2020-04-07 14:35:52 UTC
(In reply to Paul Whalen from comment #2)
> Testing the latest iot compose '32.20200407.0' with
> zezere-ignition-0.4-1.fc32, the ssh keys are still copied to
> '.ssh/authorized_keys.d/ignition'

That is expected, but are they merged into a single authorized_keys once it's provisioned?

Comment 4 Paul Whalen 2020-04-07 14:39:58 UTC
Created attachment 1676964 [details]
journalctl -u zezere_ignition

Comment 5 Paul Whalen 2020-04-07 14:43:38 UTC
(In reply to Peter Robinson from comment #3)
> (In reply to Paul Whalen from comment #2)
> > Testing the latest iot compose '32.20200407.0' with
> > zezere-ignition-0.4-1.fc32, the ssh keys are still copied to
> > '.ssh/authorized_keys.d/ignition'
> 
> That is expected, but are they merged into a single authorized_keys once
> it's provisioned?

Unfortunately not, but it might be hitting another error before doing that, log attached.

Comment 6 Fedora Update System 2020-04-08 02:29:18 UTC
FEDORA-2020-3abcc8bb29 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3abcc8bb29`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3abcc8bb29

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-08 09:50:30 UTC
FEDORA-2020-3abcc8bb29 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3abcc8bb29

Comment 8 Fedora Update System 2020-04-09 18:37:40 UTC
FEDORA-2020-3abcc8bb29 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3abcc8bb29`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3abcc8bb29

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Blocker Bugs Application 2020-04-10 11:55:17 UTC
Proposed as a Freeze Exception for 32-final by Fedora user pbrobinson using the blocker tracking app because:

 A requirement to fix IoT provisioning and the ability for a user to ssh into the provisioned host.

Comment 10 Adam Williamson 2020-04-11 18:58:42 UTC
sure, +1 FE.

Comment 11 Geoffrey Marr 2020-04-13 19:48:29 UTC
Discussed during the 2020-04-13 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException" was made as it is a noticeable issue that cannot be fixed with an update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-04-13/f32-blocker-review.2020-04-13-16.04.txt

Comment 12 Fedora Update System 2020-04-13 21:28:52 UTC
FEDORA-2020-3abcc8bb29 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.